package com.neusoft.saca.cloudpush.sdk.service.aidl;

import com.neusoft.saca.cloudpush.sdk.service.aidl.RegInfo;
import com.neusoft.saca.cloudpush.sdk.service.aidl.Message;
interface ICloudPushService {

	int register(String httpURL, in RegInfo regInfo);
	
	int password(String httpURL, in RegInfo regInfo);
	
	int unregister(String httpURL, in RegInfo regInfo);
	
    int connect(String httpURL, String deviceToken, String verifyCode, boolean retry);
    
    int sendMessage(String httpURL, in Message message);
    
    void disconnect();

    boolean isConnected();
    
    void heartbeat();
    
    String getDeviceToken();
    
    void setDebug(boolean debug);
}
